## Get Knowledge Query Counter Metrics for an Organization

### Endpoint
GET /v2.0/knowledgequerycounter

### Description
Get Knowledge Query Counter Metrics for an Organization.

### Example Requests
**cURL**
```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/knowledgequerycounter \
  --header 'X-API-Key: <api-key>'
```

**Python**
```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/knowledgequerycounter"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**
```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgequerycounter', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**
```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgequerycounter",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	
	url := "https://api-trial.cognigy.ai/new/v2.0/knowledgequerycounter"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Expected Response

**Success Response (200)**
```json
{
  "items": [\
    {\
      "queries": 123,\
      "day": 123,\
      "month": 123,\
      "year": 123\
    }\
  ]
}
```

**Error Responses**

**Bad Request (400)**
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

**Unauthorized (401)**
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

**Payment Required (402)**
```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

## Authorizations
- **X-API-Key**: Supply the API Key in the HTTP-Header.

## Query Parameters
- **year**: number, required.
- **month**: number.
